# DataExchange
TKIGES
IGESGraph

# IGESGraph_LineFontDefPattern Class Reference

defines IGESLineFontDefPattern, Type <304> Form <2>
in package IGESGraph

`#include <IGESGraph_LineFontDefPattern.hxx>`

Inheritance diagram for IGESGraph_LineFontDefPattern:

[legend]

## Public Member Functions

Standard_EXPORT | IGESGraph_LineFontDefPattern ()
Standard_EXPORT void | Init (const Handle(TColStd_HArray1OfReal)&allSegLength, const Handle(TCollection_HAsciiString)&aPattern)
| This method is used to set the fields of the class LineFontDefPattern - allSegLength : Containing lengths of respective segments - aPattern : HAsciiString indicating visible-blank segments .
Standard_EXPORT Standard_Integer | NbSegments () const
| returns the number of segments in the visible-blank pattern
Standard_EXPORT Standard_Real | Length (const Standard_Integer Index) const
| returns the Length of Index'th segment of the basic pattern raises exception if Index <= 0 or Index > NbSegments
Standard_EXPORT Handle_TCollection_HAsciiString | DisplayPattern () const
| returns the string indicating which segments of the basic pattern are visible and which are blanked. e.g: theNbSegments = 5 and if Bit Pattern = 10110, which means that segments 2, 3 and 5 are visible, whereas segments 1 and 4 are blank. The method returns "2H16" as the HAsciiString. Note: The bits are right justified. (16h = 10110)
Standard_EXPORT Standard_Boolean | IsVisible (const Standard_Integer Index) const
| The Display Pattern is decrypted to return True if the Index'th basic pattern is Visible, False otherwise. If Index > NbSegments or Index <= 0 then return value is False. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TColStd_HArray1OfReal | theSegmentLengths
Handle_TCollection_HAsciiString | theDisplayPattern

## Constructor & Destructor Documentation

Standard_EXPORT IGESGraph_LineFontDefPattern::IGESGraph_LineFontDefPattern | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString IGESGraph_LineFontDefPattern::DisplayPattern | ( |  | ) | const

Standard_EXPORT const IGESGraph_LineFontDefPattern::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_LineFontEntity.

Standard_EXPORT void IGESGraph_LineFontDefPattern::Init | ( | const Handle(TColStd_HArray1OfReal)& | allSegLength,
|  | const Handle(TCollection_HAsciiString)& | aPattern
| ) |

Standard_EXPORT Standard_Boolean IGESGraph_LineFontDefPattern::IsVisible | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Standard_Real IGESGraph_LineFontDefPattern::Length | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Standard_Integer IGESGraph_LineFontDefPattern::NbSegments | ( |  | ) | const

## Field Documentation

Handle_TCollection_HAsciiString IGESGraph_LineFontDefPattern::theDisplayPattern `[private]`

Handle_TColStd_HArray1OfReal IGESGraph_LineFontDefPattern::theSegmentLengths `[private]`

The documentation for this class was generated from the following file:

- IGESGraph_LineFontDefPattern.hxx